## EntangleColourProfileTransform EntangleColourProfileTransform |

## Functions

EntangleColourProfile * | entangle_colour_profile_new_file ()
EntangleColourProfile * | entangle_colour_profile_new_data ()
const char * | entangle_colour_profile_filename ()
char * | entangle_colour_profile_description ()
char * | entangle_colour_profile_manufacturer ()
char * | entangle_colour_profile_model ()
char * | entangle_colour_profile_copyright ()
EntangleColourProfileTransform * | entangle_colour_profile_transform_new ()
GdkPixbuf * | entangle_colour_profile_transform_apply ()

## Properties

GByteArray * | data | Read / Write / Construct Only
gchar * | filename | Read / Write / Construct Only
EntangleColourProfile * | dst-profile | Read / Write / Construct Only
EntangleColourProfileIntent | rendering-intent | Read / Write / Construct Only
EntangleColourProfile * | src-profile | Read / Write / Construct Only

## Types and Values

enum | EntangleColourProfileIntent

## Object Hierarchy

        GObject
        ├── EntangleColourProfile
        ╰── EntangleColourProfileTransform

## Description

## Functions

### entangle_colour_profile_new_file ()

    EntangleColourProfile *
    entangle_colour_profile_new_file (const char *filename);

Create a new colour profile initializing from the contents of `filename` .

#### Parameters

filename | the file holding the profile. | [transfer none]

#### Returns

the colour profile.

[transfer full]

### entangle_colour_profile_new_data ()

    EntangleColourProfile *
    entangle_colour_profile_new_data (GByteArray *data);

Create a new colour profile initializing from `data` . The `data` will not be copied, rather a reference taken, so the contents should not be changed by the caller

#### Parameters

data | the data representing the colour profile. | [transfer none]

#### Returns

the colour profile.

[transfer full]

### entangle_colour_profile_filename ()

    const char *
    entangle_colour_profile_filename (EntangleColourProfile *profile);

Get the filename holding the profile on disk, if any.

#### Parameters

profile | the colour profile. | [transfer none]

#### Returns

the filename, or NULL.

[transfer none]

### entangle_colour_profile_description ()

    char *
    entangle_colour_profile_description (EntangleColourProfile *profile);

Get the description of the profile

#### Parameters

profile | the colour profile. | [transfer none]

#### Returns

the profile description.

[transfer full]

### entangle_colour_profile_manufacturer ()

    char *
    entangle_colour_profile_manufacturer (EntangleColourProfile *profile);

Get the manufacturer of the profile

#### Parameters

profile | the colour profile. | [transfer none]

#### Returns

the profile manufacturer.

[transfer full]

### entangle_colour_profile_model ()

    char *
    entangle_colour_profile_model (EntangleColourProfile *profile);

Get the model of the profile

#### Parameters

profile | the colour profile. | [transfer none]

#### Returns

the profile model.

[transfer full]

### entangle_colour_profile_copyright ()

    char *
    entangle_colour_profile_copyright (EntangleColourProfile *profile);

Get the copyright of the profile

#### Parameters

profile | the colour profile. | [transfer none]

#### Returns

the profile copyright.

[transfer full]

### entangle_colour_profile_transform_new ()

    EntangleColourProfileTransform *
    entangle_colour_profile_transform_new (EntangleColourProfile *src,
                                           EntangleColourProfile *dst,
                                           EntangleColourProfileIntent intent);

Create a colour profile transformation that is able to convert images in the profile `src` to be in the profile `dst` .

#### Parameters

src | original colour profile. | [transfer none]
dst | target colour profile. | [transfer none]
intent | rendering intent |

#### Returns

the colour profile transformation.

[transfer full]

### entangle_colour_profile_transform_apply ()

    GdkPixbuf *
    entangle_colour_profile_transform_apply
                                   (EntangleColourProfileTransform *trans,
                                    GdkPixbuf *srcpixbuf);

Apply the colour profile transformation `trans` to the pixbuf data in `srcpixbuf` and return a new pixbuf whose data is in the target colour profile. The contents of `srcpixbuf` will not be altered in any way.

#### Parameters

trans | the profile transformation. | [transfer none]
srcpixbuf | the input pixbuf. | [transfer none]

#### Returns

the transformed pixbuf.

[transfer full]

## Types and Values

### enum EntangleColourProfileIntent

#### Members

ENTANGLE_COLOUR_PROFILE_INTENT_PERCEPTUAL |  |
ENTANGLE_COLOUR_PROFILE_INTENT_REL_COLOURIMETRIC |  |
ENTANGLE_COLOUR_PROFILE_INTENT_SATURATION |  |
ENTANGLE_COLOUR_PROFILE_INTENT_ABS_COLOURIMETRIC |  |

## Property Details

### The `“data”` property

      “data”                     GByteArray *

Raw data for the profile.

Flags: Read / Write / Construct Only

### The `“filename”` property

      “filename”                 gchar *

Filename of the profile.

Flags: Read / Write / Construct Only

Default value: NULL

### The `“dst-profile”` property

      “dst-profile”              EntangleColourProfile *

Destination Profile.

Flags: Read / Write / Construct Only

### The `“rendering-intent”` property

      “rendering-intent”         EntangleColourProfileIntent

Profile rendering intent.

Flags: Read / Write / Construct Only

Default value: ENTANGLE_COLOUR_PROFILE_INTENT_PERCEPTUAL

### The `“src-profile”` property

      “src-profile”              EntangleColourProfile *

Source profile.

Flags: Read / Write / Construct Only